DRD
Description: declaration: package: com.forcedimension.sdk, class: DRD

Package com.forcedimension.sdk

# Class DRD

java.lang.Object
com.forcedimension.sdk.DRD

public class DRD extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DRD()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `AutoInit()`
  Java wrapper for drdAutoInit()
  `int`
  `CheckInit()`
  Java wrapper for drdCheckInit()
  `int`
  `Close()`
  Java wrapper for drdClose()
  `int`
  `EnableFilter(boolean on)`
  Java wrapper for drdEnableFilter()
  `double`
  `GetCtrlFreq()`
  Java wrapper for drdGetCtrlFreq()
  `byte`
  `GetDeviceID()`
  Java wrapper for drdGetDeviceID()
  `double`
  `GetEncDGain()`
  Java wrapper for drdGetEncDGain()
  `double`
  `GetEncIGain()`
  Java wrapper for drdGetEncIGain()
  `int`
  `GetEncMoveParam(double[] avj)`
  Java wrapper for drdGetEncMoveParam()
  `double`
  `GetEncPGain()`
  Java wrapper for drdGetEncPGain()
  `int`
  `GetEncTrackParam(double[] avj)`
  Java wrapper for drdGetEncTrackParam()
  `int`
  `GetGripMoveParam(double[] avj)`
  Java wrapper for drdGetGripMoveParam()
  `int`
  `GetGripTrackParam(double[] avj)`
  Java wrapper for drdGetGripTrackParam()
  `double`
  `GetMotRatioMax()`
  Java wrapper for drdGetMotRatioMax()
  `int`
  `GetPosMoveParam(double[] avj)`
  Java wrapper for drdGetPosMoveParam()
  `int`
  `GetPosRotGrip(double[] p)`
  Java wrapper for drdGetPositionAndOrientation()
  `int`
  `GetPosTrackParam(double[] avj)`
  Java wrapper for drdGetPosTrackParam()
  `int`
  `GetPriorities(int[] prio)`
  Java wrapper for drdGetPriorities()
  `int`
  `GetRotMoveParam(double[] avj)`
  Java wrapper for drdGetRotMoveParam()
  `int`
  `GetRotTrackParam(double[] avj)`
  Java wrapper for drdGetRotTrackParam()
  `static double`
  `GetTime()`
  Java wrapper for drdGetTime()
  `int`
  `GetVelocity(double[] v)`
  Java wrapper for drdGetVelocity()
  `int`
  `Hold()`
  Java wrapper for drdHold()
  `boolean`
  `IsFiltering()`
  Java wrapper for drdIsFiltering()
  `boolean`
  `IsInitialized()`
  Java wrapper for drdIsInitialized()
  `boolean`
  `IsMoving()`
  Java wrapper for drdIsMoving()
  `boolean`
  `IsRunning()`
  Java wrapper for drdIsRunning()
  `boolean`
  `IsSupported()`
  Java wrapper for drdIsSupported()
  `int`
  `Lock(byte mask, boolean init)`
  Java wrapper for drdLock()
  `int`
  `MoveTo(double[] p)`
  Java wrapper for drdMoveTo()
  `int`
  `MoveTo(double[] p, boolean block)`
  Java wrapper for drdMoveTo()
  `int`
  `MoveToAllEnc(int[] e)`
  Java wrapper for drdMoveToAllEnc()
  `int`
  `MoveToAllEnc(int[] e, boolean block)`
  Java wrapper for drdMoveToAllEnc()
  `int`
  `MoveToEnc(int[] e)`
  Java wrapper for drdMoveToEnc()
  `int`
  `MoveToEnc(int[] e, boolean block)`
  Java wrapper for drdMoveToEnc()
  `int`
  `MoveToGrip(double pg)`
  Java wrapper for drdMoveToGrip()
  `int`
  `MoveToGrip(double pg, boolean block)`
  Java wrapper for drdMoveToGrip()
  `int`
  `MoveToPos(double[] p)`
  Java wrapper for drdMoveToPos()
  `int`
  `MoveToPos(double[] p, boolean block)`
  Java wrapper for drdMoveToPos()
  `int`
  `MoveToRot(double[] p)`
  Java wrapper for drdMoveToRot()
  `int`
  `MoveToRot(double[] p, boolean block)`
  Java wrapper for drdMoveToRot()
  `int`
  `Open()`
  Java wrapper for drdOpen()
  `int`
  `OpenID(byte id)`
  Java wrapper for drdOpenID()
  `int`
  `PrecisionInit()`
  Java wrapper for drdPrecisionInit()
  `int`
  `RegulateGrip(boolean on)`
  Java wrapper for drdRegulateGrip()
  `int`
  `RegulatePos(boolean on)`
  Java wrapper for drdRegulatePos()
  `int`
  `RegulateRot(boolean on)`
  Java wrapper for drdRegulateRot()
  `void`
  `SetDeviceID(byte id)`
  Java wrapper for drdSetDevice()
  `int`
  `SetEncDGain(double gain)`
  Java wrapper for drdSetEncDGain()
  `int`
  `SetEncIGain(double gain)`
  Java wrapper for drdSetEncIGain()
  `int`
  `SetEncMoveParam(double[] avj)`
  Java wrapper for drdSetEncMoveParam()
  `int`
  `SetEncPGain(double gain)`
  Java wrapper for drdSetEncPGain()
  `int`
  `SetEncTrackParam(double[] avj)`
  Java wrapper for drdSetEncTrackParam()
  `int`
  `SetForceAndTorqueAndGripperForce(double[] f)`
  Java wrapper for drdSetForceAndTorqueAndGripperForce()
  `int`
  `SetForceAndWristJointTorquesAndGripperForce(double[] f)`
  Java wrapper for drdSetForceAndWristJointTorquesAndGripperForce()
  `int`
  `SetGripMoveParam(double[] avj)`
  Java wrapper for drdSetGripMoveParam()
  `int`
  `SetGripTrackParam(double[] avj)`
  Java wrapper for drdSetGripTrackParam()
  `int`
  `SetMotRatioMax(double scale)`
  Java wrapper for drdSetMotRatioMax()
  `int`
  `SetPosMoveParam(double[] avj)`
  Java wrapper for drdSetPosMoveParam()
  `int`
  `SetPosTrackParam(double[] avj)`
  Java wrapper for drdSetPosTrackParam()
  `int`
  `SetPriorities(int[] prio)`
  Java wrapper for drdSetPriorities()
  `int`
  `SetRotMoveParam(double[] avj)`
  Java wrapper for drdSetRotMoveParam()
  `int`
  `SetRotTrackParam(double[] avj)`
  Java wrapper for drdSetRotTrackParam()
  `static void`
  `Sleep(double sec)`
  Java wrapper for drdSleep()
  `int`
  `Start()`
  Java wrapper for drdStart()
  `int`
  `Stop()`
  Java wrapper for drdStop()
  `int`
  `Stop(boolean frc)`
  Java wrapper for drdStop()
  `int`
  `Track(double[] p)`
  Java wrapper for drdTrack()
  `int`
  `TrackAllEnc(int[] e)`
  Java wrapper for drdTrackAllEnc()
  `int`
  `TrackEnc(int[] e)`
  Java wrapper for drdTrackEnc()
  `int`
  `TrackGrip(double pg)`
  Java wrapper for drdTrackGrip()
  `int`
  `TrackPos(double[] p)`
  Java wrapper for drdTrackPos()
  `int`
  `TrackRot(double[] p)`
  Java wrapper for drdTrackRot()
  `void`
  `WaitForTick()`
  Java wrapper for drdWaitForTick()

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DRD

    public DRD()

- ## Method Details

  - ### SetDeviceID

    public void SetDeviceID(byte id)
    Java wrapper for drdSetDevice()

  - ### GetDeviceID

    public byte GetDeviceID()
    Java wrapper for drdGetDeviceID()

  - ### Close

    public int Close()
    Java wrapper for drdClose()

  - ### IsSupported

    public boolean IsSupported()
    Java wrapper for drdIsSupported()

  - ### IsRunning

    public boolean IsRunning()
    Java wrapper for drdIsRunning()

  - ### IsMoving

    public boolean IsMoving()
    Java wrapper for drdIsMoving()

  - ### IsFiltering

    public boolean IsFiltering()
    Java wrapper for drdIsFiltering()

  - ### GetTime

    public static double GetTime()
    Java wrapper for drdGetTime()

  - ### Sleep

    public static void Sleep(double sec)
    Java wrapper for drdSleep()

  - ### WaitForTick

    public void WaitForTick()
    Java wrapper for drdWaitForTick()

  - ### IsInitialized

    public boolean IsInitialized()
    Java wrapper for drdIsInitialized()

  - ### AutoInit

    public int AutoInit()
    Java wrapper for drdAutoInit()

  - ### CheckInit

    public int CheckInit()
    Java wrapper for drdCheckInit()

  - ### PrecisionInit

    public int PrecisionInit()
    Java wrapper for drdPrecisionInit()

  - ### GetCtrlFreq

    public double GetCtrlFreq()
    Java wrapper for drdGetCtrlFreq()

  - ### Start

    public int Start()
    Java wrapper for drdStart()

  - ### RegulatePos

    public int RegulatePos(boolean on)
    Java wrapper for drdRegulatePos()

  - ### RegulateRot

    public int RegulateRot(boolean on)
    Java wrapper for drdRegulateRot()

  - ### RegulateGrip

    public int RegulateGrip(boolean on)
    Java wrapper for drdRegulateGrip()

  - ### EnableFilter

    public int EnableFilter(boolean on)
    Java wrapper for drdEnableFilter()

  - ### MoveToPos

    public int MoveToPos(double[] p)
    Java wrapper for drdMoveToPos()

  - ### MoveToPos

    public int MoveToPos(double[] p, boolean block)
    Java wrapper for drdMoveToPos()

  - ### MoveToRot

    public int MoveToRot(double[] p)
    Java wrapper for drdMoveToRot()

  - ### MoveToRot

    public int MoveToRot(double[] p, boolean block)
    Java wrapper for drdMoveToRot()

  - ### MoveToGrip

    public int MoveToGrip(double pg)
    Java wrapper for drdMoveToGrip()

  - ### MoveToGrip

    public int MoveToGrip(double pg, boolean block)
    Java wrapper for drdMoveToGrip()

  - ### MoveToEnc

    public int MoveToEnc(int[] e)
    Java wrapper for drdMoveToEnc()

  - ### MoveToEnc

    public int MoveToEnc(int[] e, boolean block)
    Java wrapper for drdMoveToEnc()

  - ### TrackPos

    public int TrackPos(double[] p)
    Java wrapper for drdTrackPos()

  - ### TrackRot

    public int TrackRot(double[] p)
    Java wrapper for drdTrackRot()

  - ### TrackGrip

    public int TrackGrip(double pg)
    Java wrapper for drdTrackGrip()

  - ### TrackEnc

    public int TrackEnc(int[] e)
    Java wrapper for drdTrackEnc()

  - ### Hold

    public int Hold()
    Java wrapper for drdHold()

  - ### Lock

    public int Lock(byte mask, boolean init)
    Java wrapper for drdLock()

  - ### Stop

    public int Stop()
    Java wrapper for drdStop()

  - ### Stop

    public int Stop(boolean frc)
    Java wrapper for drdStop()

  - ### SetPriorities

    public int SetPriorities(int[] prio)
    Java wrapper for drdSetPriorities()

  - ### SetEncPGain

    public int SetEncPGain(double gain)
    Java wrapper for drdSetEncPGain()

  - ### GetEncPGain

    public double GetEncPGain()
    Java wrapper for drdGetEncPGain()

  - ### SetEncIGain

    public int SetEncIGain(double gain)
    Java wrapper for drdSetEncIGain()

  - ### GetEncIGain

    public double GetEncIGain()
    Java wrapper for drdGetEncIGain()

  - ### SetEncDGain

    public int SetEncDGain(double gain)
    Java wrapper for drdSetEncDGain()

  - ### GetEncDGain

    public double GetEncDGain()
    Java wrapper for drdGetEncDGain()

  - ### SetMotRatioMax

    public int SetMotRatioMax(double scale)
    Java wrapper for drdSetMotRatioMax()

  - ### GetMotRatioMax

    public double GetMotRatioMax()
    Java wrapper for drdGetMotRatioMax()

  - ### SetEncMoveParam

    public int SetEncMoveParam(double[] avj)
    Java wrapper for drdSetEncMoveParam()

  - ### SetEncTrackParam

    public int SetEncTrackParam(double[] avj)
    Java wrapper for drdSetEncTrackParam()

  - ### SetPosMoveParam

    public int SetPosMoveParam(double[] avj)
    Java wrapper for drdSetPosMoveParam()

  - ### SetPosTrackParam

    public int SetPosTrackParam(double[] avj)
    Java wrapper for drdSetPosTrackParam()

  - ### SetRotMoveParam

    public int SetRotMoveParam(double[] avj)
    Java wrapper for drdSetRotMoveParam()

  - ### SetRotTrackParam

    public int SetRotTrackParam(double[] avj)
    Java wrapper for drdSetRotTrackParam()

  - ### SetGripMoveParam

    public int SetGripMoveParam(double[] avj)
    Java wrapper for drdSetGripMoveParam()

  - ### SetGripTrackParam

    public int SetGripTrackParam(double[] avj)
    Java wrapper for drdSetGripTrackParam()

  - ### Open

    public int Open()
    Java wrapper for drdOpen()

  - ### OpenID

    public int OpenID(byte id)
    Java wrapper for drdOpenID()

  - ### GetPosRotGrip

    public int GetPosRotGrip(double[] p)
    Java wrapper for drdGetPositionAndOrientation()

  - ### GetVelocity

    public int GetVelocity(double[] v)
    Java wrapper for drdGetVelocity()

  - ### SetForceAndTorqueAndGripperForce

    public int SetForceAndTorqueAndGripperForce(double[] f)
    Java wrapper for drdSetForceAndTorqueAndGripperForce()

  - ### SetForceAndWristJointTorquesAndGripperForce

    public int SetForceAndWristJointTorquesAndGripperForce(double[] f)
    Java wrapper for drdSetForceAndWristJointTorquesAndGripperForce()

  - ### GetPriorities

    public int GetPriorities(int[] prio)
    Java wrapper for drdGetPriorities()

  - ### GetEncMoveParam

    public int GetEncMoveParam(double[] avj)
    Java wrapper for drdGetEncMoveParam()

  - ### GetEncTrackParam

    public int GetEncTrackParam(double[] avj)
    Java wrapper for drdGetEncTrackParam()

  - ### GetPosMoveParam

    public int GetPosMoveParam(double[] avj)
    Java wrapper for drdGetPosMoveParam()

  - ### GetPosTrackParam

    public int GetPosTrackParam(double[] avj)
    Java wrapper for drdGetPosTrackParam()

  - ### GetRotMoveParam

    public int GetRotMoveParam(double[] avj)
    Java wrapper for drdGetRotMoveParam()

  - ### GetRotTrackParam

    public int GetRotTrackParam(double[] avj)
    Java wrapper for drdGetRotTrackParam()

  - ### GetGripMoveParam

    public int GetGripMoveParam(double[] avj)
    Java wrapper for drdGetGripMoveParam()

  - ### GetGripTrackParam

    public int GetGripTrackParam(double[] avj)
    Java wrapper for drdGetGripTrackParam()

  - ### MoveTo

    public int MoveTo(double[] p)
    Java wrapper for drdMoveTo()

  - ### MoveTo

    public int MoveTo(double[] p, boolean block)
    Java wrapper for drdMoveTo()

  - ### MoveToAllEnc

    public int MoveToAllEnc(int[] e)
    Java wrapper for drdMoveToAllEnc()

  - ### MoveToAllEnc

    public int MoveToAllEnc(int[] e, boolean block)
    Java wrapper for drdMoveToAllEnc()

  - ### Track

    public int Track(double[] p)
    Java wrapper for drdTrack()

  - ### TrackAllEnc

    public int TrackAllEnc(int[] e)
    Java wrapper for drdTrackAllEnc()